Name:           perl-Inline-Struct
Version:        0.18
Release:        1%{?dist}
Summary:        Manipulate C structures directly from Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Inline-Struct/
Source0:        http://search.cpan.org/CPAN/authors/id/E/ET/ETJ/Inline-Struct-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Inline)
BuildRequires:  perl(Inline::C)
BuildRequires:  perl(Parse::RecDescent)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Tests only
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Inline::C)
Requires:       perl(Parse::RecDescent)

%description
Inline::Struct is not a new language. It's a language extension designed to
be used by Inline::C. It parses struct definitions and creates typemaps and
XS code which bind each struct into a Perl class. This code is passed to
Inline::C, which compiles it in the normal way.

%prep
%setup -q -n Inline-Struct-%{version}
chmod -c a-x benchmark

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README TODO benchmark
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jan 08 2015 Petr Šabata <contyk@redhat.com> - 0.18-1
- 0.18 bump

* Wed Nov 26 2014 Petr Šabata <contyk@redhat.com> - 0.16-1
- 0.16 bump

* Mon Oct 20 2014 Petr Šabata <contyk@redhat.com> - 0.12-1
- 0.12 bump

* Mon Sep 29 2014 Petr Šabata <contyk@redhat.com> - 0.11-1
- 0.11 bump

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-2
- Perl 5.20 rebuild

* Thu Aug 14 2014 Petr Šabata <contyk@redhat.com> - 0.10-1
- 0.10 bump

* Wed Jul 16 2014 Petr Šabata <contyk@redhat.com> 0.06-1
- Initial packaging
